package com.gingersoft.gsa.cloud.account.user.state;

/**
 * @author : bin
 * @create date: 2020-11-21
 * @update date: 2020-11-21
 * @description: 用戶狀態接口
 * */
public interface UserState {

    /**
     * 登入
     */
    void logined();

    /**
     * 登出
     */
    void logOut();

    /**
     * 跳轉到目標頁
     * @param componentName 目標組件名
     * @param actionName   目標activity名
     */
    void toTargetPage(String componentName,String actionName);
}
